umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros
uml.h File Reference
`#include "basictypes.h"`
`#include "multipagedialogbase.h"`
`#include <kxmlguiwindow.h>`
`#include <ksharedconfig.h>`
`#include <QPointer>`
`#include <QUrl>`

Go to the source code of this file.

## Classes
class | UMLApp

## Macros
#define | logDebug0(s)
#define | logInfo0(s) UMLApp::app()->logInfo(QStringLiteral(s))
#define | logWarn0(s) UMLApp::app()->logWarn(QStringLiteral(s))
#define | logError0(s) UMLApp::app()->logError(QStringLiteral(s))
#define | logDebug1(s, a)
#define | logInfo1(s, a) do { QString fmt = QString(QStringLiteral(s)).arg(a); UMLApp::app()->logInfo(fmt); } while (0)
#define | logWarn1(s, a) do { QString fmt = QString(QStringLiteral(s)).arg(a); UMLApp::app()->logWarn(fmt); } while (0)
#define | logError1(s, a) do { QString fmt = QString(QStringLiteral(s)).arg(a); UMLApp::app()->logError(fmt); } while (0)
#define | logDebug2(s, a, b)
#define | logInfo2(s, a, b) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b); UMLApp::app()->logInfo(fmt); } while (0)
#define | logWarn2(s, a, b) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b); UMLApp::app()->logWarn(fmt); } while (0)
#define | logError2(s, a, b) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b); UMLApp::app()->logError(fmt); } while (0)
#define | logDebug3(s, a, b, c)
#define | logInfo3(s, a, b, c) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c); UMLApp::app()->logInfo(fmt); } while (0)
#define | logWarn3(s, a, b, c) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c); UMLApp::app()->logWarn(fmt); } while (0)
#define | logError3(s, a, b, c) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c); UMLApp::app()->logError(fmt); } while (0)
#define | logDebug4(s, a, b, c, d)
#define | logInfo4(s, a, b, c, d) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c).arg(d); UMLApp::app()->logInfo(fmt); } while (0)
#define | logWarn4(s, a, b, c, d) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c).arg(d); UMLApp::app()->logWarn(fmt); } while (0)
#define | logError4(s, a, b, c, d) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c).arg(d); UMLApp::app()->logError(fmt); } while (0)
#define | logDebug5(s, a, b, c, d, e)
#define | logInfo5(s, a, b, c, d, e)
#define | logWarn5(s, a, b, c, d, e)
#define | logError5(s, a, b, c, d, e)
#define | logDebug6(s, a, b, c, d, e, f)

## Macro Definition Documentation

## ◆ logDebug0

#define logDebug0 | ( |  | s | ) |

Value:
if (UMLApp::app()->logToConsole() || Tracer::instance()->isEnabled(DBG_SRC)) \
UMLApp::app()->logDebug(QStringLiteral(s))
DBG_SRC
#define DBG_SRC
Definition assocrules.cpp:10
Tracer::instance
static Tracer * instance()
Definition debug_utils.cpp:108
UMLApp::app
static UMLApp * app()
Definition uml.cpp:306

## ◆ logDebug1

#define logDebug1 | ( |  | s,
|  |  | a )

Value:
if (UMLApp::app()->logToConsole() || Tracer::instance()->isEnabled(DBG_SRC)) \
do { QString fmt = QString(QStringLiteral(s)).arg(a); UMLApp::app()->logDebug(fmt); } while (0)
UMLApp::logDebug
void logDebug(const QString &s)
Definition uml.cpp:1867
a
QString a
Definition petalnode.cpp:13

## ◆ logDebug2

#define logDebug2 | ( |  | s,
|  |  | a,
|  |  | b )

Value:
if (UMLApp::app()->logToConsole() || Tracer::instance()->isEnabled(DBG_SRC)) \
do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b); UMLApp::app()->logDebug(fmt); } while (0)
b
bool b
Definition cxx11-null-pointer-constant.h:6

## ◆ logDebug3

#define logDebug3 | ( |  | s,
|  |  | a,
|  |  | b,
|  |  | c )

Value:
if (UMLApp::app()->logToConsole() || Tracer::instance()->isEnabled(DBG_SRC)) \
do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c); UMLApp::app()->logDebug(fmt); } while (0)

## ◆ logDebug4

#define logDebug4 | ( |  | s,
|  |  | a,
|  |  | b,
|  |  | c,
|  |  | d )

Value:
if (UMLApp::app()->logToConsole() || Tracer::instance()->isEnabled(DBG_SRC)) \
do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c).arg(d); UMLApp::app()->logDebug(fmt); } while (0)

## ◆ logDebug5

#define logDebug5 | ( |  | s,
|  |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | e )

Value:
if (UMLApp::app()->logToConsole() || Tracer::instance()->isEnabled(DBG_SRC)) \
do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c).arg(d).arg(e); \
UMLApp::app()->logDebug(fmt); } while (0)

## ◆ logDebug6

#define logDebug6 | ( |  | s,
|  |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | e,
|  |  | f )

Value:
if (UMLApp::app()->logToConsole() || Tracer::instance()->isEnabled(DBG_SRC)) \
do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c).arg(d).arg(e).arg(f); UMLApp::app()->logDebug(fmt); } while (0)

## ◆ logError0

#define logError0 | ( |  | s | ) | UMLApp::app()->logError(QStringLiteral(s))

## ◆ logError1

#define logError1 | ( |  | s,
|  |  | a ) do { QString fmt = QString(QStringLiteral(s)).arg(a); UMLApp::app()->logError(fmt); } while (0)

## ◆ logError2

#define logError2 | ( |  | s,
|  |  | a,
|  |  | b ) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b); UMLApp::app()->logError(fmt); } while (0)

## ◆ logError3

#define logError3 | ( |  | s,
|  |  | a,
|  |  | b,
|  |  | c ) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c); UMLApp::app()->logError(fmt); } while (0)

## ◆ logError4

#define logError4 | ( |  | s,
|  |  | a,
|  |  | b,
|  |  | c,
|  |  | d ) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c).arg(d); UMLApp::app()->logError(fmt); } while (0)

## ◆ logError5

#define logError5 | ( |  | s,
|  |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | e )

Value:
do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c).arg(d).arg(e); \
UMLApp::app()->logError(fmt); } while (0)

## ◆ logInfo0

#define logInfo0 | ( |  | s | ) | UMLApp::app()->logInfo(QStringLiteral(s))

## ◆ logInfo1

#define logInfo1 | ( |  | s,
|  |  | a ) do { QString fmt = QString(QStringLiteral(s)).arg(a); UMLApp::app()->logInfo(fmt); } while (0)

## ◆ logInfo2

#define logInfo2 | ( |  | s,
|  |  | a,
|  |  | b ) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b); UMLApp::app()->logInfo(fmt); } while (0)

## ◆ logInfo3

#define logInfo3 | ( |  | s,
|  |  | a,
|  |  | b,
|  |  | c ) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c); UMLApp::app()->logInfo(fmt); } while (0)

## ◆ logInfo4

#define logInfo4 | ( |  | s,
|  |  | a,
|  |  | b,
|  |  | c,
|  |  | d ) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c).arg(d); UMLApp::app()->logInfo(fmt); } while (0)

## ◆ logInfo5

#define logInfo5 | ( |  | s,
|  |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | e )

Value:
do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c).arg(d).arg(e); \
UMLApp::app()->logInfo(fmt); } while (0)

## ◆ logWarn0

#define logWarn0 | ( |  | s | ) | UMLApp::app()->logWarn(QStringLiteral(s))

## ◆ logWarn1

#define logWarn1 | ( |  | s,
|  |  | a ) do { QString fmt = QString(QStringLiteral(s)).arg(a); UMLApp::app()->logWarn(fmt); } while (0)

## ◆ logWarn2

#define logWarn2 | ( |  | s,
|  |  | a,
|  |  | b ) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b); UMLApp::app()->logWarn(fmt); } while (0)

## ◆ logWarn3

#define logWarn3 | ( |  | s,
|  |  | a,
|  |  | b,
|  |  | c ) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c); UMLApp::app()->logWarn(fmt); } while (0)

## ◆ logWarn4

#define logWarn4 | ( |  | s,
|  |  | a,
|  |  | b,
|  |  | c,
|  |  | d ) do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c).arg(d); UMLApp::app()->logWarn(fmt); } while (0)

## ◆ logWarn5

#define logWarn5 | ( |  | s,
|  |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | e )

Value:
do { QString fmt = QString(QStringLiteral(s)).arg(a).arg(b).arg(c).arg(d).arg(e); \
UMLApp::app()->logWarn(fmt); } while (0)